<?php
namespace Bushelpowered\Api\Platform\Tenant\V1\Request;
        
class CreateAccountRequest 
{
    public string $tenantId;
    public string $datasourceId;
    public string $sourceId;
    public ?string $sourceLocationId = null;
    public ?string $locationId = null;
    public ?string $sourceName = null;
    public ?string $name = null;

    /**
     */
    public function __construct(string $tenantId, string $datasourceId, string $sourceId, ?string $sourceLocationId, ?string $locationId, ?string $sourceName, ?string $name)
    {
        $this->tenantId = $tenantId;
        $this->datasourceId = $datasourceId;
        $this->sourceId = $sourceId;
        $this->sourceLocationId = $sourceLocationId;
        $this->locationId = $locationId;
        $this->sourceName = $sourceName;
        $this->name = $name;
    }
    

}